## seqan2 2.3.1%2Bdfsg

=== dox/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /dox/CMakeLists.txt
#
# CMakeLists.txt file for dox.
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
project (seqan_dox CXX)

find_package (PythonInterp)
if (NOT PYTHONINTERP_FOUND)
    message (STATUS "  Python not found, not building dox as a tests.")
    return ()
endif ()

# find python 2.x
if(NOT(${PYTHON_VERSION_MAJOR} MATCHES "2"))
    set(_PYTHON2_VERSIONS 2.7 2.6 2.5 2.4 2.3 2.2 2.1 2.0)
    unset(_Python_NAMES)
    foreach(_CURRENT_VERSION IN LISTS _PYTHON2_VERSIONS)
        list(APPEND _Python_NAMES "python${_CURRENT_VERSION}")
    endforeach()
    unset(_PYTHON2_VERSIONS)

    find_program(PYTHON2_EXECUTABLE NAMES ${_Python_NAMES})
    if(PYTHON2_EXECUTABLE MATCHES "PYTHON2_EXECUTABLE-NOTFOUND")
        message (STATUS "You need Python 2.x for building dox. (skip the tests)")
        return()
    endif()
    set(PYTHON_EXECUTABLE "${PYTHON2_EXECUTABLE}")
    message (STATUS "Found Python 2.x: ${PYTHON_EXECUTABLE}") 
endif()

# find python 2.x
if(NOT(${PYTHON_VERSION_MAJOR} MATCHES "2"))
    set(_PYTHON2_VERSIONS 2.7 2.6 2.5 2.4 2.3 2.2 2.1 2.0)
    unset(_Python_NAMES)
    foreach(_CURRENT_VERSION IN LISTS _PYTHON2_VERSIONS)
        list(APPEND _Python_NAMES "python${_CURRENT_VERSION}")
    endforeach()
    unset(_PYTHON2_VERSIONS)

    find_program(PYTHON2_EXECUTABLE NAMES ${_Python_NAMES})
    if(PYTHON2_EXECUTABLE MATCHES "PYTHON2_EXECUTABLE-NOTFOUND")
        message (STATUS "You need Python 2.x for building dox. (skip the tests)")
        return()
    endif()
    set(PYTHON_EXECUTABLE "${PYTHON2_EXECUTABLE}")
    message (STATUS "Found Python 2.x: ${PYTHON_EXECUTABLE}")

    # change shell scripts for building dox
    file(READ "${CMAKE_CURRENT_SOURCE_DIR}/../dox/run.sh" run_content)
    file(READ "${CMAKE_CURRENT_SOURCE_DIR}/../dox/dox_only.sh" dox_only_content)
    string(REPLACE "python2 ../" "${PYTHON_EXECUTABLE} ../" run_content "${run_content}")
    string(REPLACE "python2 ../" "${PYTHON_EXECUTABLE} ../" dox_only_content "${dox_only_content}")
    file(WRITE "${CMAKE_CURRENT_SOURCE_DIR}/../dox/run.sh" "${run_content}")
    file(WRITE "${CMAKE_CURRENT_SOURCE_DIR}/../dox/dox_only.sh" "${dox_only_content}")
endif()

# Add building the documentation as a test.
add_test (build_dox
  ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../util/bin/dox.py
  -b ${CMAKE_CURRENT_SOURCE_DIR}/..
  -i ${CMAKE_CURRENT_SOURCE_DIR}/../include/seqan
  -i ${CMAKE_CURRENT_SOURCE_DIR}/pages
  --image-dir ${CMAKE_CURRENT_SOURCE_DIR}/images)

if (${SEQAN_BUILD_SYSTEM} MATCHES "SEQAN_RELEASE_LIBRARY") # includes SEQAN_RELEASE_LIBRARY
    add_custom_target (dox ALL
        cd ${CMAKE_CURRENT_SOURCE_DIR} && ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../util/bin/dox.py
        -b ${CMAKE_CURRENT_SOURCE_DIR}/..
        -i ${CMAKE_CURRENT_SOURCE_DIR}/../include/seqan
        -i ${CMAKE_CURRENT_SOURCE_DIR}/pages
        --image-dir ${CMAKE_CURRENT_SOURCE_DIR}/images
        --out-dir ${CMAKE_BINARY_DIR}/dox/html)

    install (DIRECTORY ${CMAKE_BINARY_DIR}/dox/html
             DESTINATION share/doc/seqan)
endif ()

=== apps/bs_tools/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /apps/bs_tools/CMakeLists.txt
#
# CMakeLists.txt file for bs_tools.
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
project (seqan_apps_bs_tools CXX)
message (STATUS "Configuring apps/bs_tools")

set (SEQAN_APP_VERSION "0.1.8")

if ((${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD") AND ("$ENV{MODEL}" STREQUAL "Nightly"))
    message (STATUS "bs_tools skipped on FreeBSD because math.h rounding errors.")
    return ()
endif ()

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
if (NOT "${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP")
    find_package (ZLIB)
    find_package (Boost)
    find_package (SeqAn CONFIG REQUIRED)
endif ()

if (NOT Boost_FOUND OR NOT ZLIB_FOUND)
    message (STATUS "  Boost or zlib not found: Not building bs_tools.")
    return ()
endif (NOT Boost_FOUND OR NOT ZLIB_FOUND)

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})
include_directories (SYSTEM ${Boost_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_REVISION="${SEQAN_REVISION}")
add_definitions (-DSEQAN_DATE="${SEQAN_DATE}")
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")

# Update the list of file names below if you add source files to your application.
add_executable (bisar bisar.cpp
                    bisar.h
                    bisar_base.h
                    bisar_score.h
                    bisar_score_data.h)

add_executable (casbar casbar.cpp
                    casbar.h
                    casbar_calling.h
                    casbar_realignment.h
                    casbar_consensus_realign.h
                    casbar_score.h
                    casbar_score_data.h
                    casbar_util.h
                    casbar_alphabets.h)

add_executable (four2three four2three.cpp
                    four2three.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (bisar ${SEQAN_LIBRARIES})
target_link_libraries (casbar ${Boost_LIBRARIES} ${SEQAN_LIBRARIES})
target_link_libraries (four2three ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Setup Common Tool Description for Generic Workflow Nodes
# ----------------------------------------------------------------------------

# Include bs_tools executables in CTD structure.
set (SEQAN_CTD_EXECUTABLES ${SEQAN_CTD_EXECUTABLES}
        bisar
        casbar
        four2three
        CACHE INTERNAL "")

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Set variables for installing, depending on the selected build type.
if (NOT SEQAN_PREFIX_SHARE_DOC)
  seqan_setup_install_vars (bs_tools)
endif (NOT SEQAN_PREFIX_SHARE_DOC)

# Install bs_tools in ${PREFIX}/bin directory
install (TARGETS bisar casbar four2three
         DESTINATION bin)

# Install non-binary files for the package to "." for app builds and
# ${PREFIX}/share/doc/bs_tools for SeqAn release builds.
install (FILES LICENSE
               README
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC})
#install (FILES example/fasta1.fa
#               example/fasta2.fa
#         DESTINATION ${SEQAN_PREFIX_SHARE_DOC}/example)

# ----------------------------------------------------------------------------
# App Test
# ----------------------------------------------------------------------------

# (weese:) temporarily disabled app test
seqan_add_app_test (bs_tools)

# ----------------------------------------------------------------------------
# CPack Install
# ----------------------------------------------------------------------------

if (SEQAN_BUILD_SYSTEM STREQUAL "APP:bs_tools")
  set (CPACK_PACKAGE_NAME "bs_tools")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "bs_tools")
  set (CPACK_DEBIAN_PACKAGE_MAINTAINER "Sabrina Krakau <sabrina.krakau@fu-berlin.de>")
  set (CPACK_PACKAGE_VENDOR "SeqAn Team, FU Berlin")

  seqan_configure_cpack_app (bs_tools "bs_tools")
endif (SEQAN_BUILD_SYSTEM STREQUAL "APP:bs_tools")

=== apps/gustaf/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /apps/gustaf/CMakeLists.txt
#
# CMakeLists.txt file for gustaf.
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
project (seqan_apps_gustaf CXX)
message (STATUS "Configuring apps/gustaf")

set (SEQAN_APP_VERSION "1.0.8")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
if (NOT "${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP")
    find_package (SeqAn CONFIG REQUIRED)
endif ()

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")
add_definitions (-DSEQAN_REVISION="${SEQAN_REVISION}")
add_definitions (-DSEQAN_DATE="${SEQAN_DATE}")

# Update the list of file names below if you add source files to your application.
add_executable (gustaf gustaf.cpp
                create_stellarmatches_from_file.h
                gustaf_matepairs.h
                msplazer.h
                msplazer_algorithms.h
                msplazer_main.h
                msplazer_out.h
                msplazer_parse_options.h
                stellar_routines.h
)

add_executable (gustaf_mate_joining join_mates.cpp
                create_stellarmatches_from_file.h
                gustaf_matepairs.h
                msplazer.h
                msplazer_algorithms.h
                msplazer_main.h
                msplazer_out.h
                msplazer_parse_options.h
                stellar_routines.h
)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (gustaf ${SEQAN_LIBRARIES})
target_link_libraries (gustaf_mate_joining ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Set variables for installing, depending on the selected build type.
if (NOT SEQAN_PREFIX_SHARE_DOC)
  seqan_setup_install_vars (gustaf)
endif (NOT SEQAN_PREFIX_SHARE_DOC)

# Install gustaf in ${PREFIX}/bin directory
install (TARGETS gustaf gustaf_mate_joining
         DESTINATION bin)

# Install non-binary files for the package to "." for app builds and
# ${PREFIX}/share/doc/gustaf for SeqAn release builds.
install (FILES LICENSE
               README
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC})
install (FILES example/adeno.fa
               example/adeno_modified.fa
               example/adeno_modified_reads.fa
               example/stellar.gff
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC}/example)

# ----------------------------------------------------------------------------
# App Test
# ----------------------------------------------------------------------------

seqan_add_app_test (gustaf)


# ----------------------------------------------------------------------------
# CPack Install
# ----------------------------------------------------------------------------

if (SEQAN_BUILD_SYSTEM STREQUAL "APP:gustaf")
  set (CPACK_PACKAGE_NAME "gustaf")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Gustaf - Generic multi-split alignment finder")
  set (CPACK_DEBIAN_PACKAGE_MAINTAINER "Kathrin Trappe <kathrin.trappe@fu-berlin.de>")
  set (CPACK_PACKAGE_VENDOR "Kathrin Trappe <kathrin.trappe@fu-berlin.de>")
  set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.rst")

  seqan_configure_cpack_app (gustaf "gustaf")
endif (SEQAN_BUILD_SYSTEM STREQUAL "APP:gustaf")

=== apps/sam2matrix/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /apps/sam2matrix/CMakeLists.txt
#
# CMakeLists.txt file for sam2matrix.
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
project (seqan_apps_sam2matrix CXX)
message (STATUS "Configuring apps/sam2matrix")

set (SEQAN_APP_VERSION "0.3.6")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
if (NOT "${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP")
    find_package (SeqAn CONFIG REQUIRED)
endif ()

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")
add_definitions (-DSEQAN_REVISION="${SEQAN_REVISION}")
add_definitions (-DSEQAN_DATE="${SEQAN_DATE}")

# Update the list of file names below if you add source files to your application.
add_executable (sam2matrix sam2matrix.cpp)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (sam2matrix ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Set variables for installing, depending on the selected build type.
if (NOT SEQAN_PREFIX_SHARE_DOC)
  seqan_setup_install_vars (sam2matrix)
endif (NOT SEQAN_PREFIX_SHARE_DOC)

# Install sam2matrix in ${PREFIX}/bin directory
install (TARGETS sam2matrix
         DESTINATION bin)

# Install non-binary files for the package to "." for app builds and
# ${PREFIX}/share/doc/sam2matrix for SeqAn release builds.
install (FILES LICENSE
               README
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC})
#install (FILES example/fasta1.fa
#               example/fasta2.fa
#         DESTINATION ${SEQAN_PREFIX_SHARE_DOC}/example)

# ----------------------------------------------------------------------------
# App Test
# ----------------------------------------------------------------------------

seqan_add_app_test (sam2matrix)

# ----------------------------------------------------------------------------
# Setup Common Tool Description for Generic Workflow Nodes
# ----------------------------------------------------------------------------

# Include executable razers in CTD structure.
set (SEQAN_CTD_EXECUTABLES ${SEQAN_CTD_EXECUTABLES} sam2matrix CACHE INTERNAL "")

# ----------------------------------------------------------------------------
# CPack Install
# ----------------------------------------------------------------------------

if (SEQAN_BUILD_SYSTEM STREQUAL "APP:sam2matrix")
  set (CPACK_PACKAGE_NAME "sam2matrix")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Outputs for each read the ids of references it maps to.")
  set (CPACK_DEBIAN_PACKAGE_MAINTAINER "Jochen Singer <jochen.singer@fu-berlin.de>")
  set (CPACK_PACKAGE_VENDOR "SeqAn Team, FU Berlin")

  seqan_configure_cpack_app (sam2matrix "sam2matrix")
endif (SEQAN_BUILD_SYSTEM STREQUAL "APP:sam2matrix")

=== apps/searchjoin/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /apps/searchjoin/CMakeLists.txt
#
# CMakeLists.txt file for searchjoin.
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
project (seqan_apps_searchjoin CXX)
message (STATUS "Configuring apps/searchjoin")

set (SEQAN_APP_VERSION "0.5.6")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
if (NOT "${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP")
    find_package (OpenMP)
    find_package (SeqAn CONFIG REQUIRED)
endif ()

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")
add_definitions (-DSEQAN_REVISION="${SEQAN_REVISION}")
add_definitions (-DSEQAN_DATE="${SEQAN_DATE}")

# Lightweight CI builds.
if (NOT SEQAN_TRAVIS_BUILD)
    add_definitions (-DSEARCHJOIN_HUGEDB=TRUE)
else (NOT SEQAN_TRAVIS_BUILD)
    message (STATUS "  Building searchjoin without huge db support on Travis CI.")
endif (NOT SEQAN_TRAVIS_BUILD)

# Update the list of file names below if you add source files to your application.
add_executable (s4_search search.cpp finder.h db.h verifier.h writer.h)
add_executable (s4_join join.cpp finder.h db.h verifier.h writer.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (s4_search ${SEQAN_LIBRARIES})
target_link_libraries (s4_join ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Set variables for installing, depending on the selected build type.
if (NOT SEQAN_PREFIX_SHARE_DOC)
  seqan_setup_install_vars (searchjoin)
endif (NOT SEQAN_PREFIX_SHARE_DOC)

# Install searchjoin in ${PREFIX}/bin directory
install (TARGETS s4_search s4_join
         DESTINATION bin)

# Install non-binary files for the package to "." for app builds and
# ${PREFIX}/share/doc/searchjoin for SeqAn release builds.
install (FILES LICENSE
               README
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC})

# ----------------------------------------------------------------------------
# App Test
# ----------------------------------------------------------------------------

seqan_add_app_test (searchjoin)

# ----------------------------------------------------------------------------
# CPack Install
# ----------------------------------------------------------------------------

if (SEQAN_BUILD_SYSTEM STREQUAL "APP:searchjoin")
  set (CPACK_PACKAGE_NAME "searchjoin")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "searchjoin")
  set (CPACK_DEBIAN_PACKAGE_MAINTAINER "Enrico Siragusa <enrico.siragusa@fu-berlin.de>")
  set (CPACK_PACKAGE_VENDOR "Enrico Siragusa <enrico.siragusa@fu-berlin.de>")

  seqan_configure_cpack_app (searchjoin "searchjoin")
endif (SEQAN_BUILD_SYSTEM STREQUAL "APP:searchjoin")

=== apps/splazers/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /apps/splazers/CMakeLists.txt
#
# CMakeLists.txt file for SplazerS.
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
project (seqan_apps_splazers CXX)
message (STATUS "Configuring apps/splazers")

set (SEQAN_APP_VERSION "1.3.6")

# ----------------------------------------------------------------------------
# Dependencies
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
if (NOT "${SEQAN_BUILD_SYSTEM}" STREQUAL "DEVELOP")
    find_package (SeqAn CONFIG REQUIRED)
endif ()

if (NOT CMAKE_SIZEOF_VOID_P EQUAL 8)
    message (STATUS "  Not building splazers on 32bit architectures.")
    return ()
endif()

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")
add_definitions (-DSEQAN_REVISION="${SEQAN_REVISION}")
add_definitions (-DSEQAN_DATE="${SEQAN_DATE}")

# Update the list of file names below if you add source files to your application.
add_executable (splazers splazers.cpp
                        outputFormat.h
                        paramChooser.h
                        razers.h
                        razers_matepairs.h
                        razers_parallel.h
                        razers_spliced.h
                        readSimulator.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (splazers ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Set variables for installing, depending on the selected build type.
if (NOT SEQAN_PREFIX_SHARE_DOC)
  seqan_setup_install_vars (splazers)
endif (NOT SEQAN_PREFIX_SHARE_DOC)

# Install splazers in ${PREFIX}/bin directory
install (TARGETS splazers
         DESTINATION bin)

# Install non-binary files for the package to "." for app builds and
# ${PREFIX}/share/doc/splazers for SeqAn release builds.
install (FILES LICENSE
               README
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC})
install (FILES example/genome.fa
               example/reads.fa
               example/reads.fa.result
         DESTINATION ${SEQAN_PREFIX_SHARE_DOC}/example)

# ----------------------------------------------------------------------------
# App Test
# ----------------------------------------------------------------------------

seqan_add_app_test (splazers)

# ----------------------------------------------------------------------------
# CPack Install
# ----------------------------------------------------------------------------

if (SEQAN_BUILD_SYSTEM STREQUAL "APP:splazers")
  set (CPACK_PACKAGE_NAME "splazers")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "SplazerS - Split Read Mapping")
  set (CPACK_DEBIAN_PACKAGE_MAINTAINER "David Weese <david.weese@fu-berlin.de>")
  set (CPACK_PACKAGE_VENDOR "SeqAn Team, FU Berlin")

  seqan_configure_cpack_app (splazers "SplazerS")
endif (SEQAN_BUILD_SYSTEM STREQUAL "APP:splazers")

## seqan2 2.2.0+dfsg

=== debian/changelog ===
seqan2 (2.2.0+dfsg-4) unstable; urgency=medium

  * Restrict to known working archs for now. Closes: #840025
  * Use upstream's patch. Closes: #840030, #840026

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Oct 2016 12:20:59 -0700

seqan2 (2.2.0+dfsg-3) unstable; urgency=medium

  * Fix arch specific build. Closes: #840023
  * Remove shlibs:Depends from include-only library package
  * More spelling fixes
  * Fix manpage generation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 06:41:34 -0700

seqan2 (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Declare Conflicts: with seqan-dev (API incompatible)
    See https://github.com/seqan/seqan/issues/1820 for upstream discussion.
    Closes: #838340.
  * Add CMake modules needed to build projects based on SeqAn.
  * Add pkg-config file.
  * Fix some typos in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 24 Sep 2016 21:48:27 +0000

seqan2 (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Separate packaging from legacy seqan
  * cme fix dpkg-control
  * moved debian/upstream to debian/upstream/metadata
  * disable doc creation which works differently than in previous versions
  * correct opts in d/watch
  * upgrade copyright
  * New Build-Depends:
     * python-jinja2 needed in test suite
     * libbz2-dev, python-sphinx, python-nose, default-jdk suggested by
       build system
  * d/copyright: Remove some minimised JS scripts without source which
    are packaged for Debian
  * seqan-dev.install: Fix location of include files, docs are somewhere
    else and should be moved to a separate package
  * New package seqan-doc
  * Moved to Git
  * Symlink to binaries only if these are part of the binary distribution

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 13:16:56 +0200

=== debian/control ===
Source: seqan2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Soeren Sonnenburg <sonne@debian.org>,
           Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <michael.crusoe@gmail.com>,
           Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               zlib1g-dev,
               libbz2-dev,
               libbam-dev,
               libboost-dev,
               dh-exec,
               help2man,
               python,
               python-jinja2,
               python-sphinx,
               python-nose,
               default-jdk,
               dh-linktree
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seqan2.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/seqan2.git
Homepage: http://www.seqan.de/

Package: seqan-apps
Architecture: any-amd64 any-i386 x32
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for the analysis of biological sequences
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance. This package contains the applications dfi, pair_align,
 micro_razers, seqan_tcoffee, seqcons, razers and tree_recon.

Package: libseqan2-dev
Architecture: any-amd64 any-i386 x32
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Conflicts: seqan-dev
Description: C++ library for the analysis of biological sequences (development)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the developer files.

#Package: seqan2-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends},
#         libjs-bootstrap,
#         libjs-prettify,
#         libjs-jquery
#Description: C++ library for the analysis of biological sequences (documentation)
# SeqAn is a C++ template library of efficient algorithms and data
# structures for the analysis of sequences with the focus on
# biological data. This library applies a unique generic design that
# guarantees high performance, generality, extensibility, and
# integration with other libraries. SeqAn is easy to use and
# simplifies the development of new software tools with a minimal loss
# of performance. This package contains the applications dfi, pair_align,
# micro_razers, seqan_tcoffee, seqcons, razers and tree_recon.
# .
# This package contains the documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
UPSTREAM_VERSION = $(shell dpkg-parsechangelog -SVersion | egrep -o '^[0-9.]+')

# import hardening, adding CPPFLAGS to CFLAGS, in case dh doesn't
# See https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Droping -fstack-protector flag helps **drastically** reducing memory consumption when building the package!!!!
# export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS | sed 's/-fstack-protector *//')  ## don't do this, it simply triggers #759978
# export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector
# alternatively: export DEB_CXXFLAGS_STRIP='-fstack-protector'

DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

DEB_BUILD_ARCH          ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
    export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS | sed 's/-O[1-9]//') -O0 -mxgot
endif

pkgapps=seqan-apps
pkgdev=libseqan2-dev

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DSEQAN_BUILD_SYSTEM=SEQAN_RELEASE_APPS -DSEQAN_STATIC_APPS=False  # skip the tests for now

override_dh_auto_build:
	dh_auto_build
	#cd obj-$(DEB_BUILD_GNU_TYPE); make dox # FIXME: This does nothing and no *.html files will be created at all
	# This ends up in:
	# Could not import extension sphinxcontrib.bibtex (exception: No module named sphinxcontrib.bibtex)
	# Seems there is no sphinx module bibtex - thus deactivating creation of html manual
	# cd manual && make html
	sed -e "s#@CMAKE_INSTALL_PREFIX@#/usr#g" \
	    -e "s/@SEQAN_VERSION_STRING@/$(UPSTREAM_VERSION)/g" \
	    -e "s/@CMAKE_PROJECT_NAME@/seqan/g" \
	    util/pkgconfig/seqan.pc.in > seqan-2.pc

override_dh_install:
	dh_install
	# Delete additional LICENSE files
	find $(CURDIR)/debian/$(pkgapps) -type f -name LICENSE -delete || /bin/true
	if [ -d $(CURDIR)/debian/$(pkgdev) ] ; then \
	    find $(CURDIR)/debian/$(pkgdev) -type f -name LICENSE -delete ; \
	    find $(CURDIR)/debian/$(pkgdev) -type f -name "*.pyc" -delete ; \
	fi

override_dh_auto_clean:
	dh_auto_clean
	find . -type f -name "*.pyc" -delete
	if [ -d orig ] ; then \
	  for header in `find orig -name "*generated_forwards.h"` ; do \
	    mv $${header} `echo $$header | sed 's?orig/??'` ; \
	  done ; \
	fi
	rm -rf orig seqan-2.pc

override_dh_installman:
	dh_link
	$(CURDIR)/debian/generate_manpages
	#for bin in `ls $(CURDIR)/debian/$(pkgapps)/usr/lib/seqan/bin` ; do \
	#    if [ -x $(CURDIR)/debian/$(pkgapps)/usr/lib/seqan/bin/`basename $${bin}` ] ; then \
	#        ln -s ../lib/seqan/bin/`basename $${bin}` $(CURDIR)/debian/$(pkgapps)/usr/bin/`basename $${bin}` ; \
	#    fi ; \
	#    if echo $${bin} | grep -q '\.sh$$' ; then \
	#        ln -s ../lib/seqan/bin/$${bin} $(CURDIR)/debian/$(pkgapps)/usr/bin/`basename $${bin} .sh` ; \
	#    fi ; \
	#done
	# we generate only those manpages where binaries are linked to /usr/bin
	dh_installman

override_dh_fixperms-indep:
	dh_fixperms
	for bin in `ls $(CURDIR)/debian/$(pkgapps)/usr/lib/seqan/bin/*.sh` ; do \
	    chmod +x $(CURDIR)/debian/$(pkgapps)/usr/lib/seqan/bin/`basename $${bin}` ; \
	done
	find $(CURDIR)/debian/$(pkgdev)/usr/share/seqan/cmake -type f -exec chmod -x {} \;

override_dh_auto_test:
# Run test suite only on powerfull architectures (amd64) at build time
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 kfreebsd-amd64))
	dh_auto_test || true
else
	echo "Do not run test suite when building on architecture $(DEB_HOST_ARCH)"
endif

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compression=xz,repack" \
  http://packages.seqan.de/ .*/seqan-src-([.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
